2017年7月12日

启动 vi 时遇到 dyld: Library not loaded

今天更新了 homebrew,启动 vim 时报错:

➜ design git:(newdesign) vi
dyld: Library not loaded: /usr/local/lib/libruby.2.2.0.dylib
Referenced from: /usr/local/bin/vim
Reason: image not found
[1] 31578 abort vim

在 StackOverFlow 上找到类似问题

原因应该是:更新 homebrew 的时候,2.2 版本的 ruby 库被新的库替代了,导致依赖老版本库的 vim 无法启动。

【解决方案】重装 ruby 和 vim:

brew reinstall ruby vim

You may also like...

发表评论

电子邮件地址不会被公开。 必填项已用*标注


*